Get all holdings Run in API Explorer
Ask AI
Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [sub_account, portfolio].
-
Filter by a comma separated list of UUIDs.
-
Filter holdings to only active or only inactive holdings. Defaults to true.
-
Filter holdings by a given portfolio_uuid. Defaults to showing holdings from the active portfolio or all holdings.
-
Field to sort by. Valid fields are [created_at, updated_at, units, unit_price, is_active]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/plans/{plan_uuid}/holdings/{subAccount}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings/{"summary" => "When the value is omitted", "value" => ""}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "5e379a58-fe24-4305-ad3b-0613a7d990d6",
"created_at": "2026-07-20T11:19:01+01:00",
"updated_at": "2026-07-20T11:19:01+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "af893f0d-b9e3-4008-8b79-2a6a890668d0",
"created_at": "2026-07-20T11:19:01+01:00",
"updated_at": "2026-07-20T11:19:01+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "4ae51f63-ce02-4bab-a069-a3853741b2ad",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"valued_at": "2026-07-20T11:19:07+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "d91e0b06-f178-420e-9f14-2c977b0f582c",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"is_proposed": true,
"proposed_at": "2026-07-20T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "6956c805-ea67-4417-bb12-cb774ec14f85",
"created_at": "2026-07-20T11:19:01+01:00",
"updated_at": "2026-07-20T11:19:01+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
]
}